Packages - Bug #2130

[tp_smapi] thinkpad_ec: disagrees about version of symbol module_layout
2019-01-05 06:05 PM - dllud

Status: fixed % Done: 100%
Priority: bug

Assignee: oaken-source

Category:

Description

Both tp_smapi and tp_smapi-Its have to be rebuilt in order to work with the current kernels. They are facing the same issue as
acpi_call (bug #2129):

thinkpad_ec: disagrees about version of symbol module_layout

Related issues:
Related to Packages - Bug #2129: [acpi_call] Rebuild on kernel upgrade? fixed

History

#1 - 2019-01-05 06:13 PM - dllud

If you are unable to keep rebuilding this package on every kernel upgrade, please provide a DKMS module (tp_smapi-dkms) as currently done with
acpi_call-dkms.

#2 - 2019-01-05 06:29 PM - bill-auger
- Related to Bug #2129: [acpi_call] Rebuild on kernel upgrade? added

#3 - 2019-01-05 06:30 PM - bill-auger

- Subject changed from [tp_smapi] Needs rebuild: disagrees about version of symbol module_layout to [tp_smapi] Needs rebuild?

#4 - 2019-01-05 06:32 PM - bill-auger

- Assignee set to Megver83

what do you think, megver?

#5 - 2019-01-07 02:31 AM - Megver83
- Status changed from open to info needed

- Subject changed from [to_smapi] Needs rebuild? to [tp_smapi] thinkpad_ec: disagrees about version of symbol module_layout

Pitifully | don't have the time to research, I'll go to vacations soon

#6 - 2019-02-24 04:29 PM - bill-auger
- Assignee changed from Megver83 to oaken-source

- Status changed from info needed to in progress

#7 - 2019-02-24 05:32 PM - oaken-source
- % Done changed from 0 to 100

- Status changed from in progress to fixed

needed rebuilt. seems to happen on minor version updates now, too, so I've changed the pkgbuild to depend on a specific version of linux-libre.
this means we'll need to rebuild on each kernel update (which upstream has been doing anyway...)

#8 - 2020-02-29 06:03 PM - dllud

Same issue happening now.
The tp_smapi (for 5.4.12) and tp_smapi-lts (for 4.19.97) available from libre are now out-of-sync with the linux-libre (at 5.5.1) and linux-libre-lts (at
5.4.21) kernels.

Is there any way you could automate this build process each time you release a new linux-libre kernel? If not, | guess you should provide a DKMS
module (tp_smapi-dkms) as replacement and abandon tp_smapi and tp_smapi-Its.
